Subject: bug#33277: 25.1; icalendar-import-file incorrectly imports events with same start/end time

From: Ulf Jasper <[email-masked]>
Date: Thu, 05 Sep 2019 21:32:04 +0200

Am 10.07.2019 um 15:10 (+0200) schrieb Lars Ingebrigtsen:
> Stefan van der Walt <[email-masked]> writes:
>
>> When importing an ical file containing an event with the same start and
>> end time, that event is converted to an all-day event.
>
> [...]
>
>> I import it using:
>>
>> (icalendar-import-file "/tmp/basic.ics" "/tmp/basic.diary")
>>
>> And in basic.diary see:
>>
>> 11/5/2018 event with same start/end time
>
> But is that the same as an all-day event?
>
>> Instead of:
>>
>> 11/5/2018 12:00-12:00
>
> Yes, that would be more logical...
>
>> The source code (icalendar.el) mentions the following:
>>
>> ;;   Please note:
>> ;; - Diary entries which have a start time but no end time are assumed to
>> ;;   last for one hour when they are exported.
>>
>> Still, then I would expect the diary entry to be:
>>
>> 11/5/2018 12:00-13:00

This note is about export, i.e. diary to ical.

>
> This seems to all be very inconsistent.  I rarely use diary myself, but
> what would users expect here?  Exporting the event with 12:00-12:00
> would be consistent, at least.

I'll have a look.